<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Rma Hyva Compatibility
 */
declare(strict_types=1);

namespace Amasty\RmaHyva\ViewModel;

use Magento\Framework\View\Element\Block\ArgumentInterface;
use Amasty\Rma\Block\Returns\View;

class RmaReturnsView implements ArgumentInterface
{
    /**
     * @var View
     */
    private $view;

    /**
     * @param View $view
     */
    public function __construct(
        View $view
    ) {
        $this->view = $view;
    }

    /**
     * Get Product By Order Item Id
     *
     * @param int $orderItemId
     * @return object
     */
    public function getProductByOrderItemId($orderItemId)
    {
        return $this->view->getProductByOrderItemId($orderItemId);
    }

    /**
     * Get Order Item ImageUrl
     *
     * @param int $orderItemId
     * @return object
     */
    public function getOrderItemImageUrl($orderItemId)
    {
        return $this->view->getOrderItemImageUrl($orderItemId);
    }

    /**
     * Get Reason Label
     *
     * @param int $reasonId
     * @return string
     */
    public function getReasonLabel($reasonId)
    {
        return $this->view->getReasonLabel($reasonId);
    }

    /**
     * Get Reason Label
     *
     * @param int $conditionId
     * @return string
     */
    public function getConditionLabel($conditionId)
    {
        return $this->view->getConditionLabel($conditionId);
    }

    /**
     * Get Resolution Label
     *
     * @param int $resolutionId
     * @return string
     */
    public function getResolutionLabel($resolutionId)
    {
        return $this->view->getResolutionLabel($resolutionId);
    }

    /**
     * Get Reason Payer
     *
     * @param int $reasonId
     * @return string
     */
    public function getReasonPayer($reasonId)
    {
        return $this->view->getReasonPayer($reasonId);
    }

    /**
     * Get Item Status Text
     *
     * @param int $itemStatus
     * @return object
     */
    public function getItemStatusText($itemStatus)
    {
        return $this->view->getItemStatusText($itemStatus);
    }
}
